Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

Adobe Application Modeling plugin eclipse36 (Adobe Flash Builder 4.5)

imran_issufo
Level 2
Level 2

Hello people,

i have changed my flash builder 4 to 4.5 that cames with eclipse 3.6, and the Modeling plugin that i was using is Adobe_Application_Modeling_plugin_v102_eclipse34

and i tried to use the Adobe_Application_Modeling_plugin_v102_eclipse35 and also did NOT work.

Is there any Modeling plugin for eclipse 3.6 (Flash Builder 4.5)?

Is there any sugestion to resolve this situation?

Regards,

Imraan

1 Accepted Solution
busitech
Correct answer by
Level 2
Level 2

I have been able to locate the updated plugin:

Application Modeler plug-in 3.1.1 download

View solution in original post

0 Replies
knallore_adobe
Level 2
Level 2

Hi,

A plugin that is compatible with Flash Builder 4.5 will be available for

download shortly.

Sorry for the inconvenience.

Thanks

Kumaran

imran_issufo
Level 2
Level 2

Kumaran,

Thanks 4 d reply.

Is there any prevision? any date, more or less?

Regards,

Imraan

busitech
Level 2
Level 2

Please reply here when the download is available.  It is peculiar that one would be released without the other...

busitech
Correct answer by
Level 2
Level 2

I have been able to locate the updated plugin:

Application Modeler plug-in 3.1.1 download

mdecler
Level 2
Level 2

How do you install the plugin. Coppied everything to there respective directories;

plugin content to root\eclipse\plugins\*

features content to root\eclipse\features\*

artifacts.jar and content.jar to root\eclipse\*

Modeling plugin doesn't show up in FB...

Please help! Can't wait to get started with 4.5...

imran_issufo
Level 2
Level 2

Steps to install the plugin:

1. Run your flash builder as Administrator

2. Click on "Install New Software..." from "help" menu

3. Then click on "ADD..." button

4. Then click on "Achive..." button and select the downloaded arquive (plugin) and give a name

5. Then click on "Select All" button

6. Next button and so on.

Hope this help !!!

I have tried doing manually as you, but didnt work.

regards,

Imraan

mdecler
Level 2
Level 2

That did it! Works now!

Found the first problem tho. When generating a LiveCyle powered form it generates mutliple errors.

1020: Method marked override must override another method.

Unable to locate specified base class 'mx.containers.VBox' for component class blablablabla

Anyone else running into these issues?

knallore_adobe
Level 2
Level 2

Can you please provide the following information to reproduce the issue?

1) LCDS version number

2) Flex SDK version number

3) Steps to reproduce the issue

Thanks

Kumaran

mdecler
Level 2
Level 2

LCDS version 3.1

Flashbuilder 4.5

Created clean database. Connected with FB. Create FML and link to datesource within LCDS. Create single table with 4 propeties. Save model en deploy, generate code.

Within flashbuilder generate datagrid. Link "getall" to datagrid. Generate form from Data Type. Run app;

Description Resource Path Location Type
1020: Method marked override must override another method. _EmployeesEntityMetadata.as /tutorialApp/src/tutorialApp line 140 Flex Problem

If you need more info just let me know.

please_enter_a1
Level 3
Level 3

By default, new Flex projects for LiveCycle Data Services in Flash Builder use the fiber.swc file in the WEB-INF\flex\libs directory of the target web application. This version of the fiber.swc file is missing a new method that is required for ActionScript code generation when working with Modeler 3.11. That's why you are getting an error.

To work around this issue, replace the the fiber.swc file in the WEB-INF\flex\libs directory with a copy of the fiber.swc file from the FB_INSTALL_DIR\eclipse\plugins\com.adobe.flexbuilder.project_4.5.0.308971\fiberSwcs\4.5\libs directory.

We now have a new version of modeler for Flash Builder 4.5 and LCDS 3.1. Please see the following thread:

http://forums.adobe.com/message/3710456#3710456

mdecler
Level 2
Level 2

Awesome, trick worked! Trying FB4.5 now to it's full glory....

it's gonna be a late night tonight